# spring配置
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  redis:
    host: 10.0.8.25
    port: 6379
    password: ems2025
  datasource:
    druid:
      stat-view-servlet:
        enabled: true
        loginUsername: admin
        loginPassword: 123456
    dynamic:
      druid:
        initial-size: 5
        min-idle: 5
        maxActive: 20
        maxWait: 60000
        timeBetweenEvictionRunsMillis: 60000
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        filters: stat,slf4j
        connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      datasource:
        # 主库数据源
        master:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://10.0.8.20:3306/ems_ct?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
          username: ems_ct
          password: SBBsnTccaQaJ3ceW
        # 从库数据源
        slave:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://10.0.8.20:3306/ems_ct?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
          username: ems_ct
          password: SBBsnTccaQaJ3ceW

general-data:
  api-key: 4988803c28e1461b999054255a0b311fga37G3RPI1Bc2uR1
  server: 139.224.116.141:9000
  weather:
    adcode: 321200
    rt:
      cron: 0 0 0/1 * * ?
      api-addr: http://${general-data.server}/general-data/weather/getWeather
    forecast:
      cron: 0 15 8 * * ?
      api-addr: http://${general-data.server}/general-data/weather/getWeatherForecast
  date:
    cron: 0 0 12 1 * ?
    api-addr: http://${general-data.server}/general-data/date/getAttrs

analysis-task:
  eco-analysis:
    area-codes: 321283124S3001,321283124S3002
    cron: 0 0 3 * * ?
  pv-forecast:
    area-codes: 321283124S3001,321283124S3002,321283124S3003
    forecastDays: 5
    cron: 0 30 8 * * ?

# mybatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.ruoyi.ems.**.domain;com.ruoyi.quartz.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*.xml
  configuration:
    map-underscore-to-camel-case: true
# swagger配置
swagger:
  title: 能源模块接口文档
  enabled: true
